Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatStatisticsMessageInteractionInfo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatStatisticsMessageInteractionInfo

Enclosing class:
  TdApi

public static final class TdApi.ChatStatisticsMessageInteractionInfo extends TdApi.Object
Contains statistics about interactions with a message.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`int`
`forwardCount`
Number of times the message was forwarded.
`long`
`messageId`
Message identifier.
`int`
`viewCount`
Number of times the message was viewed.

## Constructor Summary

Constructors
Constructor
Description
`ChatStatisticsMessageInteractionInfo()`
Contains statistics about interactions with a message.
`ChatStatisticsMessageInteractionInfo(long messageId, int viewCount, int forwardCount)`
Contains statistics about interactions with a message.
`ChatStatisticsMessageInteractionInfo(DataInput input)`
Contains statistics about interactions with a message.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### messageId

public long messageId
Message identifier.

### viewCount

public int viewCount
Number of times the message was viewed.

### forwardCount

public int forwardCount
Number of times the message was forwarded.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ChatStatisticsMessageInteractionInfo

public ChatStatisticsMessageInteractionInfo()
Contains statistics about interactions with a message.

### ChatStatisticsMessageInteractionInfo

public ChatStatisticsMessageInteractionInfo(long messageId, int viewCount, int forwardCount)
Contains statistics about interactions with a message.

Parameters:
  `messageId` - long Message identifier.
  `viewCount` - int Number of times the message was viewed.
  `forwardCount` - int Number of times the message was forwarded.

### ChatStatisticsMessageInteractionInfo

public ChatStatisticsMessageInteractionInfo(DataInput input) throws IOException
Contains statistics about interactions with a message.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`